This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 806233 - Review Request: python-django-robots - Robots exclusion application for Django, complementing Sitemaps
Review Request: python-django-robots - Robots exclusion application for Djang...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-23 05:36 EDT by Matthias Runge
Modified: 2012-03-23 15:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 15:46:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-03-23 05:36:14 EDT
Spec URL: http://www.matthias-runge.de/fedora/python-django-robots.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django-robots-0.8.1-1.fc17.src.rpm

Description: 
Django application to manage robots.txt files following the robots exclusion 
protocol, complementing the Django Sitemap contrib app.


This is a package rename request, a review is required.


[mrunge@sofja SPECS]$ rpmlint ./python-django-robots.spec ../SRPMS/python-django-robots-0.8.1-1.fc17.src.rpm ../RPMS/noarch/python-django-robots-0.8.1-1.fc17.noarch.rpm 
python-django-robots.src: W: spelling-error %description -l en_US txt -> text, ext, tit
python-django-robots.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
python-django-robots.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
python-django-robots.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


koji-scratchbuild http://koji.fedoraproject.org/koji/taskinfo?taskID=3925476

there seems to be a problem handling locale files. find_lang doesn't find those. The used scriptlet was already used by django-robots.
Comment 1 Michael Scherer 2012-03-23 13:27:11 EDT
Hi,

It seems that %{python_sitelib}/robots/ is unowned. 

Other than that, I didn't see anything, so the review should be fast.
Comment 2 Matthias Runge 2012-03-23 14:12:41 EDT
Thank you for your comment, you're absolutely right. I did a minor tweak:

 %global obs_ver 0.8.0-3
 Name:           python-django-robots
 Version:        0.8.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Robots exclusion application for Django, complementing Sitemaps
 
 Group:          Development/Languages
@@ -42,12 +42,12 @@
 %files -f %{name}.lang
 %doc LICENSE.txt README.rst docs/ 
 # list some files explicitly to avoid listing locale files twice
-%{python_sitelib}/robots/*.py*
+%{python_sitelib}/robots
 %{python_sitelib}/robots/templates/robots/rule_list.html
 %{python_sitelib}/django_robots*.egg-info
 
 %changelog
-* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.8.1-1
+* Fri Mar 23 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.8.1-2
 - renamed to python-django-robots
 - SPEC cleanup


Updated SPEC: http://www.matthias-runge.de/fedora/python-django-robots.spec
Updated SRPM: http://www.matthias-runge.de/fedora/python-django-robots-0.8.1-2.fc17.src.rpm
Comment 3 Michael Scherer 2012-03-23 14:13:55 EDT
The package cannot be installed on f17, I assume that this is because it was renamed 3 weeks ago.
Comment 4 Michael Scherer 2012-03-23 14:23:29 EDT
It doesn't install either on rawhide in a mock chroot :/
Comment 5 Matthias Runge 2012-03-23 14:28:04 EDT
We're targeting only f18 and higher, under f17, requirement is Django instead of python-django
Comment 6 Matthias Runge 2012-03-23 14:32:53 EDT
newer koji-build http://koji.fedoraproject.org/koji/taskinfo?taskID=3927504
Comment 7 Michael Scherer 2012-03-23 14:36:15 EDT
Seems mirrors are broken but bodhi list the package as existing, so the package should install fine. Let's go on with the review.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: No licenses found! Please check the source files for licenses
     manually.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[!]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-robots-0.8.1-1.fc18.src.rpm

python-django-robots.src: W: spelling-error %description -l en_US txt -> text, ext, tit
python-django-robots.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-django-robots-0.8.1-1.fc18.noarch.rpm

python-django-robots.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
python-django-robots.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/806233/django-robots-0.8.1.tar.gz :
  MD5SUM this package     : fce5ea55c3803a0648b21080ab432e32
  MD5SUM upstream package : fce5ea55c3803a0648b21080ab432e32

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Python ====
[x]: MUST Module list python2-devel or python3-devel as BuildRequires
[x]: MUST Python egg is built from source

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-robots-0.8.1-1.fc18.src.rpm

python-django-robots.src: W: spelling-error %description -l en_US txt -> text, ext, tit
python-django-robots.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint python-django-robots-0.8.1-1.fc18.noarch.rpm

python-django-robots.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
python-django-robots.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.2.0git
External plugins:


The 2 rpmlint errors are false positive. The package should install once the mirrors catch up, since python-django exist.

So the package is good to go.
Comment 8 Michael Scherer 2012-03-23 14:37:12 EDT
Oups, forgot to remove 
[!]: MUST Package must own all directories that it creates. 

from the review file. As per comment #2, this is fixed, of course.
Comment 9 Matthias Runge 2012-03-23 14:41:52 EDT
Great, thank you for the review!

New Package SCM Request
=======================
Package Name: python-django-robots
Short Description: Robots exclusion application for Django, complementing Sitemaps
Owners: mrunge
Branches: devel
Comment 10 Gwyn Ciesla 2012-03-23 14:43:56 EDT
Git done (by process-git-requests).
Comment 11 Matthias Runge 2012-03-23 15:46:51 EDT
imported, built, django-robots retired, releng-request to block django-robots from devel-branch:

https://fedorahosted.org/rel-eng/ticket/5144

Note You need to log in before you can comment on or make changes to this bug.